Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZISBN10To13Converter Class Reference

## Public Member Functions
| __construct ( $script, $cli, $params)
| addAllClasses ()
| addClass ( $classID)
| addAttribute ( $attributeID)
| attributeCount ()
| execute ()
| updateContentFromClassAttribute ( $classAttributeID)
| updateContentObjectAttribute ( $contentObjectAttribute)
| updateClassAttributeToISBN13 ( $classAttributeID)
| updateContentISBNNumber ( $contentObjectAttribute, $formatedISBN13Value)

## Public Attributes
| $Force
| $Cli
| $Script
| $AttributeArray

## Detailed Description

Definition at line 11 of file ezisbn10to13converter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZISBN10To13Converter::__construct | ( |  | $script,
|  |  | $cli,
|  |  | $params
| ) |  |

Constructor

Parameters

  $script | The variable is set earlier in the script and transfered to the class.
  $cli | Is set earlier in the script, and used to send output / feedback to the user.
  $params | custom parameters to the class. The Force parameter is now set as a class variable for the other functions.

Definition at line 21 of file ezisbn10to13converter.php.

## Member Function Documentation

## ◆ addAllClasses()

eZISBN10To13Converter::addAllClasses | ( |  | ) |

Add all classes. Will fetch all class attributes from the database that has the ISBN datatype and register it in a class variable AttributeArray for later processing.

Returns
  true if successfull and false if not.

Definition at line 43 of file ezisbn10to13converter.php.

References eZContentClassAttribute\fetch(), and eZDB\instance().

## ◆ addAttribute()

eZISBN10To13Converter::addAttribute | ( |  | $attributeID | ) |

Add one ezisbn class attribute with a specific class attribute id and register it in a class variable AttributeArray for later processing.

Returns
  true if successfull and false if not.

Definition at line 142 of file ezisbn10to13converter.php.

References eZContentClassAttribute\fetch().

## ◆ addClass()

eZISBN10To13Converter::addClass | ( |  | $classID | ) |

Add all ezisbn class attributes from a class with a specific id and register them in a class variable AttributeArray for later processing.

Returns
  true if successfull and false if not.

Definition at line 84 of file ezisbn10to13converter.php.

References eZContentClass\fetch().

## ◆ attributeCount()

eZISBN10To13Converter::attributeCount | ( |  | ) |

Returns
  count of the current amount of class attributes registered in the attribute array.

Definition at line 188 of file ezisbn10to13converter.php.

## ◆ execute()

eZISBN10To13Converter::execute | ( |  | ) |

Start processing the content object attributes.

Definition at line 196 of file ezisbn10to13converter.php.

References eZContentClass\fetch(), updateClassAttributeToISBN13(), and updateContentFromClassAttribute().

## ◆ updateClassAttributeToISBN13()

eZISBN10To13Converter::updateClassAttributeToISBN13 | ( |  | $classAttributeID | ) |

Does the update of the class attribute directly to the database, which will only alter the attribute for if the ISBN datatype is ISBN-13.

Parameters

  $classAttributeID | is the Class attribute id for the ISBN datatype.

Definition at line 328 of file ezisbn10to13converter.php.

References eZDB\instance().

Referenced by execute().

## ◆ updateContentFromClassAttribute()

eZISBN10To13Converter::updateContentFromClassAttribute | ( |  | $classAttributeID | ) |

Update content in a ezisbn datatype for one specific class attribute id.

Parameters

  $classAttributeID | is the class attribute id for for the ISBN datatype.

Definition at line 217 of file ezisbn10to13converter.php.

References eZContentObjectAttribute\definition(), eZPersistentObject\fetchObjectList(), and updateContentObjectAttribute().

Referenced by execute().

## ◆ updateContentISBNNumber()

eZISBN10To13Converter::updateContentISBNNumber | ( |  | $contentObjectAttribute,
|  |  | $formatedISBN13Value
| ) |  |

Does the update of the content object attribute directly to the database, which will only alter the attribute for if the ISBN datatype is ISBN-13.

Parameters

  $contentObjectAttribute | Is an object of eZContentObjectAttribute.
  $formatedISBN13Value | contains the formated version of the ISBN-13 number with hyphen as delimiter.

Definition at line 341 of file ezisbn10to13converter.php.

References eZDB\instance().

Referenced by updateContentObjectAttribute().

## ◆ updateContentObjectAttribute()

eZISBN10To13Converter::updateContentObjectAttribute | ( |  | $contentObjectAttribute | ) |

Convert the ISBN number for a content object attribute with the specific content attribute id.

Parameters

  $contentObjectAttribute | Should be a object of eZContentObjectAttribute.

Definition at line 270 of file ezisbn10to13converter.php.

References eZISBNType\convertISBN10toISBN13(), and updateContentISBNNumber().

Referenced by updateContentFromClassAttribute().

## Member Data Documentation

## ◆ $AttributeArray

eZISBN10To13Converter::$AttributeArray

Definition at line 353 of file ezisbn10to13converter.php.

## ◆ $Cli

eZISBN10To13Converter::$Cli

Definition at line 351 of file ezisbn10to13converter.php.

## ◆ $Force

eZISBN10To13Converter::$Force

Definition at line 13 of file ezisbn10to13converter.php.

## ◆ $Script

eZISBN10To13Converter::$Script

Definition at line 352 of file ezisbn10to13converter.php.

The documentation for this class was generated from the following file:

- ezisbn10to13converter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.